Index: c/aubiocut.sgml
===================================================================
--- doc/aubiocut.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,324 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIOCUT</refentrytitle>">
-  <!ENTITY dhpackage   "aubiocut">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool to extract onsets and tempo from sound files.</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] -i soundfile</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> attempts to detect onset times, the
-    beginning of discreted sound events, or beat locations, in audio
-    signals.</para>
-
-    <para>When using the <option>--cut</option> option,
-    <command>&dhpackage;</command> takes an input sound file and produce small
-    files sliced at onset locations (or silences). The slices can then be sent
-    for example to a player, a sequencer, or a sampler.</para>
-
-    <para>A plotting module is available via the Gnuplot Python package.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-  <para>input sound file</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-m</option>
-  <option>--mode onset_detection_mode</option></term>
-  <listitem>
-  <para>onset detection mode [default=dual] complexdomain|hfc|phase|specdiff|energy|kl|mkl|dual</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-b</option>
-  <option>--beat</option></term>
-  <listitem>
-  <para>detect beats and output beat locations</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-B</option>
-  <option>--bufsize=BUFSIZE</option></term>
-  <listitem>
-  <para>buffer size [default=512]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-H</option>
-  <option>--hopsize=HOPSIZE</option></term>
-  <listitem>
-  <para>overlap size [default=256]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-t</option>
-  <option>--threshold=THRESHOLD</option></term>
-  <listitem>
-  <para>onset peak picking threshold [default=0.3]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-C</option>
-  <option>--dcthreshold=DCTHRESHOLD</option></term>
-  <listitem>
-  <para>onset peak picking DC component [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-s</option>
-  <option>--silence=SILENCE</option></term>
-  <listitem>
-  <para>silence threshold [default=-70]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-M</option>
-  <option>--mintol=MINIOI</option></term>
-  <listitem>
-  <para>minimum inter onset interval [default=0.048s]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-D</option>
-  <option>--delay=DELAY</option></term>
-  <listitem>
-  <para>number of seconds to take back [default=system]
-  default system delay is 3*hopsize/samplerate</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-L</option>
-  <option>--localmin</option></term>
-  <listitem>
-  <para>use local minima after peak detection</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-c</option>
-  <option>--cut</option></term>
-  <listitem>
-  <para>cut input sound file at detected labels (best used with option -L)</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-d</option>
-  <option>--derivate</option></term>
-  <listitem>
-  <para>derivate onset detection function</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-S</option>
-  <option>--silencecut</option></term>
-  <listitem>
-  <para>outputs silence locations instead of onset locations</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-z</option>
-  <option>--zerocross=ZEROTHRES</option></term>
-  <listitem>
-  <para>zero-crossing threshold for slicing [default=0.00008]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-f</option>
-  <option>--function</option></term>
-  <listitem>
-  <para>print detection function</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-q</option>
-  <option>--quiet</option></term>
-  <listitem>
-  <para>be quiet</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show a summary of options.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>make lots of noise [default]</para>
-  </listitem>
-  </varlistentry>
-  </variablelist>
-
-  <refsect2>
-    <title>Plotting options</title>
-
-  <para>When the Python interface to Gnuplot is installed, the following
-  additional options are available.</para>
-
-  <variablelist>
-  <varlistentry>
-  <term><option>-p</option>
-  <option>--plot</option></term>
-  <listitem>
-  <para>draw plot</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-n</option>
-  <option>--no-onsets</option></term>
-  <listitem>
-  <para>do not plot detected onsets, only detection functions</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-x</option>
-  <option>--xsize=SIZE</option></term>
-  <listitem>
-  <para>define horizontal plot size [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-y</option>
-  <option>--ysize=SIZE</option></term>
-  <listitem>
-  <para>define vertical plot size [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-O</option>
-  <option>--outplot=OUTPLOT</option></term>
-  <listitem>
-  <para>save plot to output.{ps,eps,png,svg} instead of displaying it</para>
-  </listitem>
-  </varlistentry>
-  </variablelist>
-  </refsect2>
-
-  </refsect1>
-  <refsect1>
-  <title>BUGS</title>
-
-  <para>For now the program has only been tested on audio signals sampled at
-  44.1&nbsp;kHz.</para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubioonset</command>(1)
-    <command>aubiotrack</command>(1)
-    <command>aubionotes</command>(1)
-    <command>aubiopitch</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubiocut.txt
===================================================================
--- doc/aubiocut.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubiocut.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,74 @@
+NAME
+  aubiocut - a command line tool to slice sound files at onset or beat timestamps
+
+SYNOPSIS
+
+  aubiocut source
+  aubiocut [[-i] source]
+           [-r rate] [-B win] [-H hop]
+           [-O method] [-t thres]
+           [-b] [-c]
+           [-v] [-q] [-h]
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -O, --onset method  The onset detection method to use. See ONSET METHODS
+  below. Defaults to 'default'.
+
+  -b, --beat  Use beat locations instead of onset locations.
+
+  -t, --onset-threshold thres  Set the threshold value for the onset peak
+  picking. Typical values are typically within 0.001 and 0.900. Defaults to
+  0.1. Lower threshold values imply more onsets detected. Try 0.5 in case of
+  over-detections. Defaults to 0.3.
+
+  -c, --cut  Cut input sound file at detected labels. A new sound files for
+  each slice will be created in the current directory. 
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+  -q, --quiet  Be quiet.
+
+
+ONSET METHODS
+
+  Available methods: default, energy, hfc, complex, phase, specdiff, kl, mkl,
+  specflux.
+
+  See aubioonset(1) for details about these methods.
+
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiopitch(1),
+  aubiotrack(1),
+  aubionotes(1),
+  aubioquiet(1),
+  and
+  aubiomfcc(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: c/aubiomfcc.sgml
===================================================================
--- doc/aubiomfcc.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,166 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIOMFCC</refentrytitle>">
-  <!ENTITY dhpackage   "aubiomfcc">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool for real time mfcc extraction</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> extracts Mel-Frequency Cepstrum
-    Coefficients (MFCC) in audio signals.</para>
-
-    <para>When started without an input file argument
-    (<option>--input</option>), <command>&dhpackage;</command> creates jack
-    input and output ports. When an input file is given, the results are given
-    on the console.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-
-  <para>Run analysis on this audio file. Most common uncompressed formats are
-  supported.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-j</option>
-  <option>--jack</option></term>
-  <listitem>
-  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>Show results on the console (default).</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-  </refsect1>
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubiotrack</command>(1)
-    <command>aubionotes</command>(1)
-    <command>aubiocut</command>(1)
-    <command>aubiopitch</command>(1)
-    <command>aubioonset</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubiomfcc.txt
===================================================================
--- doc/aubiomfcc.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubiomfcc.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,63 @@
+NAME
+  aubiomfcc - a command line tool to compute Mel-frequency Cepstrum Coefficients
+
+SYNOPSIS
+
+  aubiomfcc source
+  aubiomfcc [[-i] source]
+            [-r rate] [-B win] [-H hop]
+            [-v] [-h]
+
+DESCRIPTION
+
+  aubiomfcc compute the Mel Frequency Cepstrum Coefficients (MFCC).
+
+  When started with an input source (-i/--input), the coefficients are given on
+  the console, prefixed by their timestamps in seconds.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+REFERENCES
+
+  Using the default parameters, the filter coefficients will be computed
+  according to Malcolm Slaney's Auditory Toolbox, available at the following
+  url:
+
+  http://cobweb.ecn.purdue.edu/~malcolm/interval/1998-010/ (see file mfcc.m)
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiopitch(1),
+  aubiotrack(1),
+  aubionotes(1),
+  aubioquiet(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: c/aubionotes.sgml
===================================================================
--- doc/aubionotes.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,224 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIONOTES</refentrytitle>">
-  <!ENTITY dhpackage   "aubionotes">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool for real time extraction of musical notes.</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> attempts to detect notes in audio
-    signals, segmenting consecutive events using onset detection, and
-    determining their pitch using a fundamental frequency extraction algorithm.
-    </para>
-    
-    <para>When started without an input file argument
-    (<option>--input</option>), <command>&dhpackage;</command> creates a jack
-    input and a MIDI output. When an input file is given, the results are given
-    on the console.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-
-  <para>Run analysis on this audio file. Most common uncompressed formats are
-  supported.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-o</option>
-  <option>--output fileout</option></term>
-  <listitem>
-
-  <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a short wood-block sample.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-P</option>
-  <option>--pitch mode</option></term>
-  <listitem>
-
-  <para>The pitch detection function to run. Available functions are
-  <emphasis>yinfft</emphasis>, <emphasis>yin</emphasis>,
-  <emphasis>mcomb</emphasis>, <emphasis>fcomb</emphasis>, and
-  <emphasis>schmitt</emphasis>.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-O</option>
-  <option>--onset mode</option></term>
-  <listitem>
-
-  <para>The onset detection function to run. Available functions are
-  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
-  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
-  <emphasis>energy</emphasis>, <emphasis>kl</emphasis> and
-  <emphasis>mkl</emphasis>. By default, both Kullback Liebler (kl) and complex
-  domain are used in parallel.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-t</option>
-  <option>--threshold value</option></term>
-  <listitem>
-
-  <para>Set the threshold value for the onset peak picking. Typical values are
-  within <literal>0.001</literal> and <literal>0.900</literal>. Default is
-  <literal>0.1</literal>. <emphasis>Lower</emphasis> threshold values imply 
-  <emphasis>more</emphasis> onsets detected. Try <literal>0.3</literal> in
-  case of over-detections.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-j</option>
-  <option>--jack</option></term>
-  <listitem>
-  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>Show results on the console (default).</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-  </refsect1>
-  <refsect1>
-  <title>BUGS</title>
-
-  <para>For now the program has only been tested on audio signals sampled at
-  44.1&nbsp;kHz.</para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubioonset</command>(1)
-    <command>aubiotrack</command>(1)
-    <command>aubiocut</command>(1)
-    <command>aubiopitch</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubionotes.txt
===================================================================
--- doc/aubionotes.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubionotes.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,102 @@
+NAME
+  aubionotes - a command line tool to extract musical notes
+
+SYNOPSIS
+
+  aubionotes source
+  aubionotes [[-i] source]
+             [-r rate] [-B win] [-H hop]
+             [-O method] [-t thres]
+             [-p method] [-u unit] [-l thres]
+             [-s sil]
+             [-j] [-v] [-h]
+
+DESCRIPTION
+
+  aubionotes attempts to detect notes by looking for note onsets and pitches.
+  Consecutive events are segmented using onset detection, while a fundamental
+  frequency extraction algorithm determines their pitch.
+
+  When started with an input source (-i/--input), the detected notes are
+  printed on standard output, in seconds and midi note number.
+
+  When started without an input source, or with the jack option (-j/--jack),
+  aubionotes starts in jack mode.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -O, --onset method  The onset detection method to use. See ONSET METHODS
+  below. Defaults to 'default'.
+
+  -t, --onset-threshold thres  Set the threshold value for the onset peak
+  picking. Typical values are typically within 0.001 and 0.900. Defaults to
+  0.1. Lower threshold values imply more onsets detected. Try 0.5 in case of
+  over-detections. Defaults to 0.3.
+
+  -p, --pitch method  The pitch detection method to use. See PITCH METHODS
+  below. Defaults to 'default'.
+
+  -u, --pitch-unit unit  The unit to be used to print frequencies. Possible
+  values include midi, bin, cent, and Hz. Defaults to 'Hz'.
+
+  -l, --pitch-tolerance thres  Set the tolerance for the pitch detection
+  algorithm. Typical values range between 0.2 and 0.9. Pitch candidates found
+  with a confidence less than this threshold will not be selected. The higher
+  the threshold, the more confidence in the candidates. Defaults to unset.
+
+  -s, --silence sil  Set the silence threshold, in dB, under which the pitch
+  will not be detected. A value of -20.0 would eliminate most onsets but the
+  loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.
+
+  -j, --jack  Use Jack input/output. You will need a Jack connection
+  controller to feed aubio some signal and listen to its output.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+ONSET METHODS
+
+  Available methods: default, energy, hfc, complex, phase, specdiff, kl, mkl,
+  specflux.
+
+  See aubioonset(1) for details about these methods.
+
+PITCH METHODS
+
+  Available methods: default, schmitt, fcomb, mcomb, specacf, yin, yinfft.
+
+  See aubiopitch(1) for details about these methods.
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiopitch(1),
+  aubiotrack(1),
+  aubioquiet(1),
+  aubiomfcc(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: c/aubioonset.sgml
===================================================================
--- doc/aubioonset.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,210 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIOONSET</refentrytitle>">
-  <!ENTITY dhpackage   "aubioonset">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool for real time onset extraction</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> attempts to detect onset times, the
-    beginning of discreted sound events, in audio signals.</para>
-
-    <para>When started without an input file argument
-    (<option>--input</option>), <command>&dhpackage;</command> creates jack
-    input and output ports. When an input file is given, the results are given
-    on the console.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-
-  <para>Run analysis on this audio file. Most common uncompressed formats are
-  supported.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-o</option>
-  <option>--output fileout</option></term>
-  <listitem>
-
-  <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a short wood-block sample.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-O</option>
-  <option>--onset mode</option></term>
-  <listitem>
-
-  <para>The onset detection function to run. Available functions are
-  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
-  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
-  <emphasis>energy</emphasis>, <emphasis>kl</emphasis> and
-  <emphasis>mkl</emphasis>. By default, both Kullback Liebler (kl) and complex
-  domain are used in parallel.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-t</option>
-  <option>--threshold value</option></term>
-  <listitem>
-
-  <para>Set the threshold value for the onset peak picking. Typical values are
-  within <literal>0.001</literal> and <literal>0.900</literal>. Default is
-  <literal>0.1</literal>. <emphasis>Lower</emphasis> threshold values imply 
-  <emphasis>more</emphasis> onsets detected. Try <literal>0.3</literal> in
-  case of over-detections.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-j</option>
-  <option>--jack</option></term>
-  <listitem>
-  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>Show results on the console (default).</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-  </refsect1>
-  <refsect1>
-  <title>BUGS</title>
-
-  <para>For now the program has only been tested on audio signals sampled at
-  44.1&nbsp;kHz.</para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubiotrack</command>(1)
-    <command>aubionotes</command>(1)
-    <command>aubiocut</command>(1)
-    <command>aubiopitch</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubioonset.txt
===================================================================
--- doc/aubioonset.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubioonset.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,149 @@
+NAME
+  aubioonset - a command line tool to extract musical onset times
+
+SYNOPSIS
+
+  aubioonset source
+  aubioonset [[-i] source] [-o sink]
+             [-r rate] [-B win] [-H hop]
+             [-O method] [-t thres]
+             [-s sil] [-m]
+             [-j] [-v] [-h]
+
+DESCRIPTION
+
+  aubioonset attempts to detect onset times, the beginning of discrete sound
+  events, in audio signals.
+
+  When started with an input source (-i/--input), the detected onset times are
+  given on the console, in seconds.
+
+  When started without an input source, or with the jack option (-j/--jack),
+  aubioonset starts in jack mode.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -o, --output sink  Save results in this file. The file will be created on
+  the model of the input file. Onset times are marked by a short wood-block
+  like sound.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -O, --onset method  The onset detection method to use. See ONSET METHODS
+  below. Defaults to 'default'.
+
+  -t, --onset-threshold thres  Set the threshold value for the onset peak
+  picking. Typical values are typically within 0.001 and 0.900. Defaults to
+  0.1. Lower threshold values imply more onsets detected. Try 0.5 in case of
+  over-detections. Defaults to 0.3.
+
+  -s, --silence sil  Set the silence threshold, in dB, under which the pitch
+  will not be detected. A value of -20.0 would eliminate most onsets but the
+  loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.
+
+  -m, --mix-input  Mix source signal to the output signal before writing to
+  sink.
+
+  -j, --jack  Use Jack input/output. You will need a Jack connection
+  controller to feed aubio some signal and listen to its output.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+ONSET METHODS
+
+  Available methods are:
+
+  default  Default distance, currently hfc
+
+  Default: 'default' (currently set to hfc)
+
+  energy  Energy based distance
+
+  This function calculates the local energy of the input spectral frame.
+
+  hfc  High-Frequency content
+
+  This method computes the High Frequency Content (HFC) of the input
+  spectral frame. The resulting function is efficient at detecting
+  percussive onsets.
+
+  Paul Masri. Computer modeling of Sound for Transformation and Synthesis of
+  Musical Signal. PhD dissertation, University of Bristol, UK, 1996.
+
+  complex  Complex domain onset detection function
+
+  This function uses information both in frequency and in phase to determine
+  changes in the spectral content that might correspond to musical onsets.
+  It is best suited for complex signals such as polyphonic recordings.
+
+  Christopher Duxbury, Mike E. Davies, and Mark B. Sandler.  Complex domain
+  onset detection for musical signals. In Proceedings of the Digital Audio
+  Effects Conference, DAFx-03, pages 90-93, London, UK, 2003.
+
+  phase  Phase based onset detection function
+
+  This function uses information both in frequency and in phase to determine
+  changes in the spectral content that might correspond to musical onsets. It
+  is best suited for complex signals such as polyphonic recordings.
+
+  Juan-Pablo Bello, Mike P. Davies, and Mark B. Sandler.  Phase-based note
+  onset detection for music signals. In Proceedings of the IEEE International
+  Conference on Acoustics Speech and Signal Processing, pages 441­444,
+  Hong-Kong, 2003.
+
+  specdiff  Spectral difference onset detection function
+
+  Jonhatan Foote and Shingo Uchihashi. The beat spectrum: a new approach to
+  rhythm analysis. In IEEE International Conference on Multimedia and Expo
+  (ICME 2001), pages 881­884, Tokyo, Japan, August 2001.
+
+  kl  Kulback-Liebler onset detection function
+
+  Stephen Hainsworth and Malcom Macleod. Onset detection in music audio
+  signals. In Proceedings of the International Computer Music Conference
+  (ICMC), Singapore, 2003.
+
+  mkl  Modified Kulback-Liebler onset detection function
+
+  Paul Brossier, ``Automatic annotation of musical audio for interactive
+  systems'', Chapter 2, Temporal segmentation, PhD thesis, Centre for
+  Digital music, Queen Mary University of London, London, UK, 2006.
+
+  specflux  Spectral flux
+
+  Simon Dixon, Onset Detection Revisited, in ``Proceedings of the 9th
+  International Conference on Digital Audio Effects'' (DAFx-06), Montreal,
+  Canada, 2006.
+
+SEE ALSO
+
+  aubiopitch(1),
+  aubiotrack(1),
+  aubionotes(1),
+  aubioquiet(1),
+  aubiomfcc(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: c/aubiopitch.sgml
===================================================================
--- doc/aubiopitch.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,291 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIOPITCH</refentrytitle>">
-  <!ENTITY dhpackage   "aubiopitch">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool to extract pitch candidates from sound files.</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] -i soundfile</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> attempts to extract fundamental
-    frequency in sound files. When no pitch candidate is found, the output is
-    0. Five fundamental frequency extraction methods are available. Results can
-    be printed in Hertz or in MIDI pitch.</para>
-
-    <para>A plotting module is available via the Gnuplot Python package.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-  <para>input sound file</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-m</option>
-  <option>--mode pitch_detection_mode</option></term>
-  <listitem>
-  <para>pitch detection mode [default=mcomb] mcomb|yin|fcomb|schmitt</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-u</option>
-  <option>--units unitmode</option></term>
-  <listitem>
-  <para>output pitch in units [default=Hz] freq|midi|cent|bin</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-B</option>
-  <option>--bufsize=BUFSIZE</option></term>
-  <listitem>
-  <para>buffer size [default=1024]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-H</option>
-  <option>--hopsize=HOPSIZE</option></term>
-  <listitem>
-  <para>overlap size [default=512]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-t</option>
-  <option>--threshold=THRESHOLD</option></term>
-  <listitem>
-  <para>pitch threshold (for yin) [default=0.1]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-s</option>
-  <option>--silence=SILENCE</option></term>
-  <listitem>
-  <para>silence threshold [default=-70]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-D</option>
-  <option>--delay=DELAY</option></term>
-  <listitem>
-  <para>number of seconds to take back [default=0]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-S</option>
-  <option>--smoothing=frames</option></term>
-  <listitem>
-  <para>temporal smoothing using a median filter of N frames [default=0]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-M</option>
-  <option>--pitchmax=max</option></term>
-  <listitem>
-  <para>maximum pitch values to look for (Hz) [default=20000]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-l</option>
-  <option>--pitchmin=min</option></term>
-  <listitem>
-  <para>minimum pitch values to look for (Hz) [default=20]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-n</option>
-  <option>--note</option></term>
-  <listitem>
-  <para>NOT IMPLEMENTED output notes</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-q</option>
-  <option>--quiet</option></term>
-  <listitem>
-  <para>be quiet</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show a summary of options.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>make lots of noise [default]</para>
-  </listitem>
-  </varlistentry>
-  </variablelist>
-
-  <refsect2>
-    <title>Plotting options</title>
-
-  <para>When the Python interface to Gnuplot is installed, the following
-  additional options are available.</para>
-
-  <variablelist>
-  <varlistentry>
-  <term><option>-p</option>
-  <option>--plot</option></term>
-  <listitem>
-  <para>draw plot of the pitch track</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-T</option>
-  <option>--plottruth</option></term>
-  <listitem>
-  <para>draw plot of the ground truth pitch track</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-x</option>
-  <option>--xsize=SIZE</option></term>
-  <listitem>
-  <para>define horizontal plot size [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-y</option>
-  <option>--ysize=SIZE</option></term>
-  <listitem>
-  <para>define vertical plot size [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-O</option>
-  <option>--outplot=OUTPLOT</option></term>
-  <listitem>
-  <para>save plot to output.{ps,eps,png,svg} instead of displaying it</para>
-  </listitem>
-  </varlistentry>
-  </variablelist>
-  </refsect2>
-
-  </refsect1>
-  <refsect1>
-  <title>BUGS</title>
-
-  <para>For now the program has only been tested on audio signals sampled at
-  44.1&nbsp;kHz.</para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubioonset</command>(1)
-    <command>aubiotrack</command>(1)
-    <command>aubionotes</command>(1)
-    <command>aubiocut</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubiopitch.txt
===================================================================
--- doc/aubiopitch.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubiopitch.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,132 @@
+NAME
+  aubiopitch - a command line tool to extract musical pitch
+
+SYNOPSIS
+
+  aubiopitch source
+  aubiopitch [[-i] source] [-o sink]
+             [-r rate] [-B win] [-H hop]
+             [-p method] [-u unit] [-l thres]
+             [-s sil]
+             [-v] [-h] [-j]
+
+DESCRIPTION
+
+  aubiopitch attempts to detect the pitch, the perceived height of a musical
+  note.
+
+  When started with an input source (-i/--input), the detected pitch are
+  printed on the console, prefixed by a timestamp in seconds. If no pitch
+  candidate is found, the output is 0.
+
+  When started without an input source, or with the jack option (-j/--jack),
+  aubiopitch starts in jack mode.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -o, --output sink  Save results in this file. The file will be created on
+  the model of the input file. The detected frequency is played at the
+  detected loudness.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 2048.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -p, --pitch method  The pitch detection method to use. See PITCH METHODS
+  below. Defaults to 'default'.
+
+  -u, --pitch-unit unit  The unit to be used to print frequencies. Possible
+  values include midi, bin, cent, and Hz. Defaults to 'Hz'.
+
+  -l, --pitch-tolerance thres  Set the tolerance for the pitch detection
+  algorithm. Typical values range between 0.2 and 0.9. Pitch candidates found
+  with a confidence less than this threshold will not be selected. The higher
+  the threshold, the more confidence in the candidates. Defaults to unset.
+
+  -s, --silence sil  Set the silence threshold, in dB, under which the onset
+  will not be detected. A value of -20.0 would eliminate most onsets but the
+  loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.
+
+  -m, --mix-input  Mix source signal to the output signal before writing to
+  sink.
+
+  -j, --jack  Use Jack input/output. You will need a Jack connection
+  controller to feed aubio some signal and listen to its output.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+PITCH METHODS
+
+  Available methods are:
+
+  default  use the default method
+
+  Currently, the default method is set to yinfft.
+
+  schmitt  Schmitt trigger
+
+  This pitch extraction method implements a Schmitt trigger to estimate the
+  period of a signal. It is computationally very inexpensive, but also very
+  sensitive to noise.
+
+  fcomb  a fast harmonic comb filter
+
+  This pitch extraction method implements a fast harmonic comb filter to
+  determine the fundamental frequency of a harmonic sound.
+
+  mcomb  multiple-comb filter
+
+  This fundamental frequency estimation algorithm implements spectral
+  flattening, multi-comb filtering and peak histogramming.
+
+  specacf  Spectral auto-correlation function
+
+  yin  YIN algorithm
+
+  This algorithm was developped by A. de Cheveigne and H. Kawahara and
+  was first published in:
+
+  De Cheveigné, A., Kawahara, H. (2002) "YIN, a fundamental frequency
+  estimator for speech and music", J. Acoust. Soc. Am. 111, 1917-1930.
+
+  yinfft  Yinfft algorithm
+
+  This algorithm was derived from the YIN algorithm. In this implementation, a
+  Fourier transform is used to compute a tapered square difference function,
+  which allows spectral weighting. Because the difference function is tapered,
+  the selection of the period is simplified.
+
+  Paul Brossier, Automatic annotation of musical audio for interactive systems,
+  Chapter 3, Pitch Analysis, PhD thesis, Centre for Digital music, Queen Mary
+  University of London, London, UK, 2006.
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiotrack(1),
+  aubionotes(1),
+  aubioquiet(1),
+  aubiomfcc(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: doc/aubioquiet.txt
===================================================================
--- doc/aubioquiet.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubioquiet.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,67 @@
+NAME
+  aubioquiet - a command line tool to extracts quiet and loud regions from a file
+
+SYNOPSIS
+
+  aubioquiet source
+  aubioquiet [[-i] source]
+             [-r rate] [-B win] [-H hop]
+             [-s sil]
+             [-v] [-h]
+
+DESCRIPTION
+
+  aubioquiet will print a timestamp each time it detects a new silent region or
+  a new loud region in a sound file.
+
+  When started with an input source (-i/--input), the detected timestamps are
+  printed on the console, in seconds.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -s, --silence sil  Set the silence threshold, in dB, under which the pitch
+  will not be detected. Defaults to -90.0.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+EXAMPLE OUTPUT
+
+  NOISY: 28.775330
+
+  QUIET: 28.914648
+
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiopitch(1),
+  aubiotrack(1),
+  aubionotes(1),
+  aubiomfcc(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission
+  is granted to copy, distribute and/or modify this document under the terms
+  of the GNU General Public License, Version 3 any later version published
+  by the Free Software Foundation.
Index: c/aubiotrack.sgml
===================================================================
--- doc/aubiotrack.sgml	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ 	(revision )
@@ -1,199 +1,0 @@
-<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
-
-<!-- Process this file with docbook-to-man to generate an nroff manual
-     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
-     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
-     less'.  A typical entry in a Makefile or Makefile.am is:
-
-manpage.1: manpage.sgml
-	docbook-to-man $< > $@
-
-    
-	The docbook-to-man binary is found in the docbook-to-man package.
-	Please remember that if you create the nroff version in one of the
-	debian/rules file targets (such as build), you will need to include
-	docbook-to-man in your Build-Depends control field.
-
-  -->
-
-  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
-  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
-  <!ENTITY dhsurname   "<surname>Brossier</surname>">
-  <!-- Please adjust the date whenever revising the manpage. -->
-  <!ENTITY dhdate      "<date>December 1, 2004</date>">
-  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
-       allowed: see man(7), man(1). -->
-  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
-  <!ENTITY dhemail     "<email>piem@aubio.org</email>">
-  <!ENTITY dhusername  "Paul Brossier">
-  <!ENTITY dhucpackage "<refentrytitle>AUBIOTRACK</refentrytitle>">
-  <!ENTITY dhpackage   "aubiotrack">
-
-  <!ENTITY debian      "<productname>Debian</productname>">
-  <!ENTITY gnu         "<acronym>GNU</acronym>">
-  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
-]>
-
-<refentry>
-  <refentryinfo>
-    <address>
-      &dhemail;
-    </address>
-    <author>
-      &dhfirstname;
-      &dhsurname;
-    </author>
-    <copyright>
-      <year>2003</year>
-      <holder>&dhusername;</holder>
-    </copyright>
-    &dhdate;
-  </refentryinfo>
-  <refmeta>
-    &dhucpackage;
-
-    &dhsection;
-  </refmeta>
-  <refnamediv>
-    <refname>&dhpackage;</refname>
-
-    <refpurpose>a command line tool for real time beat tracking</refpurpose>
-
-  </refnamediv>
-  <refsynopsisdiv>
-    <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
-    </cmdsynopsis>
-  </refsynopsisdiv>
-  <refsect1>
-    <title>DESCRIPTION</title>
-
-    <para><command>&dhpackage;</command> attempts to tap the beat and detect
-    beat locations in musical sounds. When started with an input file argument
-    (<option>-i</option>), aubiotrack print the beat locations in second
-    detected in the file.</para>
-    
-    <para>When started without an input file argument
-    (<option>--input</option>), <command>&dhpackage;</command> creates jack
-    input and output ports. When an input file is given, the results are given
-    on the console.</para>
-
-  </refsect1>
-  <refsect1>
-    <title>OPTIONS</title>
-
-    <para>This program follows the usual GNU command line syntax, with long
-    options starting with two dashes (`-').  A summary of options is included
-    below.</para>
-
-<variablelist>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-
-  <para>Run analysis on this audio file. Most common uncompressed formats are
-  supported.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-o</option>
-  <option>--output fileout</option></term>
-  <listitem>
-
-  <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a short wood-block sample.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-O</option>
-  <option>--onset mode</option></term>
-  <listitem>
-
-  <para>The onset detection function to run. Available functions are
-  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
-  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
-  <emphasis>energy</emphasis>, <emphasis>kl</emphasis> and
-  <emphasis>mkl</emphasis>. By default, both Kullback Liebler (kl) and complex
-  domain are used in parallel.</para>
-
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-j</option>
-  <option>--jack</option></term>
-  <listitem>
-  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>Show results on the console (default).</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-  </refsect1>
-  <refsect1>
-  <title>BUGS</title>
-
-  <para>For now the program has only been tested on audio signals sampled at
-  44.1&nbsp;kHz.</para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para>
-    <command>aubioonset</command>(1)
-    <command>aubionotes</command>(1)
-    <command>aubiocut</command>(1)
-    <command>aubiopitch</command>(1)
-    </para>
-
-  </refsect1>
-
-  <refsect1>
-    <title>AUTHOR</title>
-
-    <para>This manual page was written by &dhusername; (&dhemail;). Permission
-    is granted to copy, distribute and/or modify this document under the terms
-    of the &gnu; General Public License, Version 3 any later version published
-    by the Free Software Foundation.</para>
-
-    <para>On Debian systems, the complete text of the GNU General Public
-    License can be found in /usr/share/common-licenses/GPL.</para>
-
-  </refsect1>
-</refentry>
-
-<!-- Keep this comment at the end of the file
-Local variables:
-mode: sgml
-sgml-omittag:t
-sgml-shorttag:t
-sgml-minimize-attributes:nil
-sgml-always-quote-attributes:t
-sgml-indent-step:2
-sgml-indent-data:t
-sgml-parent-document:nil
-sgml-default-dtd-file:nil
-sgml-exposed-tags:nil
-sgml-local-catalogs:nil
-sgml-local-ecat-files:nil
-End:
--->
-
-
Index: doc/aubiotrack.txt
===================================================================
--- doc/aubiotrack.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
+++ doc/aubiotrack.txt	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -0,0 +1,86 @@
+NAME
+  aubiotrack - a command line tool to extract musical beats from audio signals
+
+SYNOPSIS
+
+  aubiotrack source
+  aubiotrack [[-i] source] [-o sink]
+             [-r rate] [-B win] [-H hop]
+             [-s sil] [-m]
+             [-j] [-v] [-h]
+
+DESCRIPTION
+
+  aubiotrack attempts to detect beats, the time where one would intuitively be
+  tapping his foot.
+
+  When started with an input source (-i/--input), the detected beats are given
+  on the console, in seconds.
+
+  When started without an input source, or with the jack option (-j/--jack),
+  aubiotrack starts in jack mode.
+
+OPTIONS
+
+  This program follows the usual GNU command line syntax, with long options
+  starting with two dashes (--). A summary of options is included below.
+
+  -i, --input source  Run analysis on this audio file. Most uncompressed and
+  compressed are supported, depending on how aubio was built.
+
+  -o, --output sink  Save results in this file. The file will be created on the
+  model of the input file. Beats are marked by a short wood-block like sound.
+
+  -r, --samplerate rate  Fetch the input source, resampled at the given
+  sampling rate. The rate should be specified in Hertz as an integer. If 0,
+  the sampling rate of the original source will be used. Defaults to 0.
+
+  -B, --bufsize win  The size of the buffer to analyze, that is the length
+  of the window used for spectral and temporal computations. Defaults to 512.
+
+  -H, --hopsize hop  The number of samples between two consecutive analysis.
+  Defaults to 256.
+
+  -s, --silence sil  Set the silence threshold, in dB, under which the pitch
+  will not be detected. A value of -20.0 would eliminate most onsets but the
+  loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.
+
+  -m, --mix-input  Mix source signal to the output signal before writing to
+  sink.
+
+  -j, --jack  Use Jack input/output. You will need a Jack connection
+  controller to feed aubio some signal and listen to its output.
+
+  -h, --help  Print a short help message and exit.
+
+  -v, --verbose  Be verbose.
+
+BEAT TRACKING METHODS
+
+  Aubio currently implements one the causal beat tracking algorithm designed by
+  Matthew Davies and described in the following articles:
+
+  Matthew E. P. Davies and Mark D. Plumbley. Causal tempo tracking of audio.
+  In Proceedings of the International Symposium on Music Information Retrieval
+  (ISMIR), pages 164­169, Barcelona, Spain, 2004.
+
+  Matthew E. P. Davies, Paul Brossier, and Mark D. Plumbley. Beat tracking
+  towards automatic musical accompaniment. In Proceedings of the Audio
+  Engeeniring Society 118th Convention, Barcelona, Spain, May 2005.
+
+SEE ALSO
+
+  aubioonset(1),
+  aubiopitch(1),
+  aubionotes(1),
+  aubioquiet(1),
+  aubiomfcc(1),
+  and
+  aubiocut(1).
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.
Index: wscript
===================================================================
--- wscript	(revision 49e40ccad7a9c75fdbcacea745f2b9c9e838c4c1)
+++ wscript	(revision 403e9dd73f79f60cdf7ff2426d0e8dfc43bf0601)
@@ -213,9 +213,9 @@
   ctx.define('PACKAGE', APPNAME)
 
-  # check if docbook-to-man is installed, optional
+  # check if txt2man is installed, optional
   try:
-    ctx.find_program('docbook-to-man', var='DOCBOOKTOMAN')
+    ctx.find_program('txt2man', var='TXT2MAN')
   except ctx.errors.ConfigurationError:
-    ctx.to_log('docbook-to-man was not found (ignoring)')
+    ctx.to_log('txt2man was not found (ignoring)')
 
 def build(bld):
@@ -234,17 +234,22 @@
 
     # build manpages from sgml files
-    if bld.env['DOCBOOKTOMAN']:
+    if bld.env['TXT2MAN']:
         from waflib import TaskGen
         if 'MANDIR' not in bld.env:
             bld.env['MANDIR'] = bld.env['PREFIX'] + '/share/man'
+        rule_str = '${TXT2MAN} -t `basename ${TGT} | cut -f 1 -d . | tr a-z A-Z`'
+        rule_str += ' -r ${PACKAGE}\\ ${VERSION} -P ${PACKAGE}'
+        rule_str += ' -v ${PACKAGE}\\ User\\\'s\\ manual'
+        rule_str += ' -s 1 ${SRC} > ${TGT}'
         TaskGen.declare_chain(
-                name      = 'docbooktoman',
-                rule      = '${DOCBOOKTOMAN} ${SRC} > ${TGT}',
-                ext_in    = '.sgml',
+                name      = 'txt2man',
+                rule      = rule_str,
+                #rule      = '${TXT2MAN} -p -P aubio -s 1 -r aubio-0.4.0 ${SRC} > ${TGT}',
+                ext_in    = '.txt',
                 ext_out   = '.1',
                 reentrant = False,
                 install_path =  '${MANDIR}/man1',
                 )
-        bld( source = bld.path.ant_glob('doc/*.sgml') )
+        bld( source = bld.path.ant_glob('doc/*.txt') )
 
     """
